## org.eclipse.jst.pagedesigner.converter
Class ConverterFactoryRegistry

    java.lang.Object
      org.eclipse.jst.pagedesigner.converter.ConverterFactoryRegistry

    public class ConverterFactoryRegistry

extends java.lang.Object

Version:
  1.5

Method Summary
`void` `addFactory(IConverterFactory fac)`
`ITagConverter` `createTagConverter(org.w3c.dom.Element ele, int mode, IDOMDocument targetDocument)`
`static ConverterFactoryRegistry` `getInstance()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addFactory

    public void addFactory(IConverterFactory fac)

  Parameters:
    `fac` -

### createTagConverter

    public ITagConverter createTagConverter(org.w3c.dom.Element ele,
                                            int mode,
                                            IDOMDocument targetDocument)

  Parameters:
    `ele` -
    `mode` -
    `targetDocument` -
  Returns:
    the new btag converter

### getInstance

    public static ConverterFactoryRegistry getInstance()

  Returns:
    the singleton instance of the registry